Bug 182388 - provide api to set the DisplayName of a Library created programmatically
provide api to set the DisplayName of a Library created programmatically
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Libraries
6.x
All All
: P2 (vote)
: 7.1
Assigned To: Tomas Zezula
issues@projects
: API, PLAN
Depends on: 199253
Blocks: 182304
  Show dependency treegraph
 
Reported: 2010-03-19 16:26 UTC by Vince Kraemer
Modified: 2011-06-16 09:13 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vince Kraemer 2010-03-19 16:26:35 UTC
If I create a library using LibraryManager.createLibrary(String,String,Map) or LibraryManager.createURILibrary(String,String,Map), the name is used as the display name.

If I create a library through the layer/library definition file strategy, I can set a DisplayName, that can be localized and human-friendly.

there are situation where we must create a libraries programmatically and they are not amenable to i18n/l10n.

The easiest solution is to add a new pair of create*Library methods:

LibraryManager.create.*Library(String type, String name, String displayName, Map content)
Comment 1 Vince Kraemer 2010-07-08 14:45:08 UTC
folks told me to increase the priority on this issue.
Comment 2 Tomas Zezula 2010-07-08 14:53:42 UTC
OK, I will put it into the plan for NB 6.10.
Comment 3 David Konecny 2010-07-08 20:11:57 UTC
Thanks Tomas.
Comment 4 Jesse Glick 2011-01-25 21:26:19 UTC
I would fine this useful too.
Comment 5 Vince Kraemer 2011-02-16 20:04:21 UTC
Hey... did this get implemented?
Comment 6 Tomas Zezula 2011-06-16 09:13:49 UTC
Fixed jet-main ac7d98ff7208


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo